Unit About;

Interface

Uses Windows,
  Classes,
  Graphics,
  Forms,
  Controls,
  StdCtrls,
  Buttons,
  ExtCtrls,
  fmxUtils,
  SysUtils,
  jpeg;

Type
  TAboutBox = Class(TForm)
    OKButton: TButton;
    Image1: TImage;
    Label3: TLabel;
    Label4: TLabel;
    Panel1: TPanel;
    Label2: TLabel;
    Bevel1: TBevel;
    Label5: TLabel;
    Label6: TLabel;
    Button1: TButton;
    Button2: TButton;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label1: TLabel;
    Label10: TLabel;
    Procedure Button1Click(Sender: TObject);
    Procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    Function GetWinDir: ShortString;
    { Public declarations }
  End;

Var
  AboutBox          : TAboutBox;

Implementation

{$R *.DFM}

Function AddBackSlash(Const S: ShortString): ShortString;

Begin
  If (Length(S) < 255) And (S[Length(S)] <> '\') Then
    Result := S + '\'
  Else
    Result := S;
End;

Function TAboutBox.GetWinDir: ShortString;
Var
  WindowsDir        : ShortString;
Begin

  GetWindowsDirectory(@WindowsDir[1], SizeOf(WindowsDir) - 1);
  WindowsDir[0] := Chr(StrLen(@WindowsDir[1]));
  WindowsDir := AddBackSlash(WindowsDir);
  Result := UpperCase(WindowsDir);
End;

Procedure TAboutBox.Button1Click(Sender: TObject);
Begin
  ExecuteFile('MSINFO32.EXE', '', Copy(GetWinDir, 1, 3) + 'Program Files\Common Files\Microsoft Shared\MSInfo', SW_SHOW);
End;

Procedure TAboutBox.Button2Click(Sender: TObject);
Begin
  Application.HelpCommand(HELP_CONTENTS, 0);
End;

End.
